Lookup.LookupPriorityQueue (Lucene 10.5.1 suggest API)
Description: declaration: package: org.apache.lucene.search.suggest, class: Lookup, class: LookupPriorityQueue

Package org.apache.lucene.search.suggest

# Class Lookup.LookupPriorityQueue

java.lang.Object
org.apache.lucene.util.PriorityQueue<Lookup.LookupResult>
org.apache.lucene.search.suggest.Lookup.LookupPriorityQueue

All Implemented Interfaces:
  `Iterable<Lookup.LookupResult>`

Enclosing class:
  `Lookup`

public static final class Lookup.LookupPriorityQueue extends PriorityQueue<Lookup.LookupResult>
A `PriorityQueue` collecting a fixed size of high priority `Lookup.LookupResult`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `LookupPriorityQueue(int size)`
  Creates a new priority queue of the specified size.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Lookup.LookupResult[]`
  `getResults()`
  Returns the top N results in descending order.
  `protected boolean`
  `lessThan(Lookup.LookupResult a, Lookup.LookupResult b)`

  ### Methods inherited from class org.apache.lucene.util.PriorityQueue

  `add, addAll, addAll, clear, getHeapArray, insertWithOverflow, iterator, pop, remove, size, top, updateTop, updateTop`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface java.lang.Iterable

  `forEach, spliterator`

- ## Constructor Details

  - ### LookupPriorityQueue

    public LookupPriorityQueue(int size)
    Creates a new priority queue of the specified size.

- ## Method Details

  - ### lessThan

    protected boolean lessThan(Lookup.LookupResult a, Lookup.LookupResult b)
    Specified by:
      `lessThan` in class `PriorityQueue<Lookup.LookupResult>`

  - ### getResults

    public Lookup.LookupResult[] getResults()
    Returns the top N results in descending order.
    Returns:
      the top N results in descending order.